| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::StatelessDBusProxy Class Reference

The StatelessDBusProxy class is a base class representing a remote object whose API is basically stateless. More...

`#include <TelepathyQt/DBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Tp::Account, Tp::AccountManager, and Tp::ConnectionManager.

## Public Member Functions

| StatelessDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~StatelessDBusProxy ()
Public Member Functions inherited from Tp::DBusProxy
| DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~DBusProxy ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const

## Additional Inherited Members

Signals inherited from Tp::DBusProxy
void | invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Protected Member Functions inherited from Tp::DBusProxy
void | setBusName (const QString &busName)
void | invalidate (const QString &reason, const QString &message)
void | invalidate (const QDBusError &error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const

## Detailed Description

The StatelessDBusProxy class is a base class representing a remote object whose API is basically stateless.

These objects can remain valid even if the service providing them exits and is restarted.

Examples include the AccountManager, Account and ConnectionManager.

## Constructor & Destructor Documentation

Tp::StatelessDBusProxy::StatelessDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | const Feature & | featureCore
| ) |  |

Construct a new StatelessDBusProxy object.

Parameters

  dbusConnection | QDBusConnection to use.
  busName | D-Bus bus name of the service that provides the remote object.
  objectPath | The object path.
  featureCore | The object core feature.

Tp::StatelessDBusProxy::~StatelessDBusProxy | ( |  | ) |

virtual

Class destructor.